sub eventLog(m,h)   
#
# Write header message to log file 
#
{
  ($m, $h) = @_;

  if ($debug_html) 
  {
    print "in eventLog h=$h \n";
  }

  if ($log_path eq "")
  {
    &error_msg("ERROR - SYSTEM Section variable log_path is null - exiting");
    exit 1;
  }

  $nowdate = &getdate();
  open(LOG_PATH,">>$log_path") ||  &error_msg("Cannot open append log_path=$log_path - $!");
  print LOG_PATH "\n-------$title[$h]-$nowdate-------\n";
  print LOG_PATH "$m\n"; 

  if ($h eq "") 
  {
    $h = 0;
  }

  if ($html_events_flag[$h] == 0) 
  {
    if ($debug_html) 
    {
      print "in eventLog event title h=$h\n";
    }
    open(HTML_EVENTS,">$html_events[$h]") ||  &error_msg("Cannot open output $html_path[$h] - $!");

    print HTML_EVENTS "
    <title>DBAmon One Instance Event Log</title>
    <body bgcolor=white link=darkblue vlink=darkblue><font face=$font>
    <table width=750><tr><td><img src='/dbamon/img/dbamonlogo.jpg' width=750>
    <tr bgcolor=wheat><td><font face=$font size=5>
	<center><font size=5>DBAmon Event Log for Instance: $title[$h]</font></center>
    </table>";

    $links_include = `cat /opt/dbamon/lib/trans_links.txt`;
    print HTML_EVENTS "
    </table>
    <table width=750>
      $links_include
    </table>
    <hr>
    ";

    print HTML_EVENTS "<i><font size=1>This page was programatically recreated by DBAmon - $nowdate</font></i>\n";
    $html_events_flag[$h] = 1;
  } 

  $event_log_size = ( stat "$html_events[$h]" ) [7];
  if ($event_log_size > 1000000)
  {
    &logit("log $html_events[$h] > 1mB");
    return;
  }

  open(HTML_EVENTS,">>$html_events[$h]") ||  &error_msg("Can't open output $html_path[$h] - $!");

  $m = "$titleraw[$h] $m";

  print HTML_EVENTS "<hr>\n";

  #---- Old
  ##print HTML_EVENTS "<img src='img/${e_color}ball-89.gif'> <b>$e_text Event</b>";
  #---- New
  print HTML_EVENTS "<font color=${e_color}> &diams;&diams;&diams; </font>
  <b>$e_text Event</b>
  <font color=${e_color}> &diams;&diams;&diams; </font>";

  print HTML_EVENTS "<pre>\n" ;

  push @eventdb_text,     $m;
  push @eventdb_sev,      $e_sev;
  push @eventdb_msgid,    $e_msgid_short;
  push @eventdb_instance, $h;

  $z = "<b>[<a HREF='${dbamon_home}/errors.shtml#$e_msgid_short'>$e_msgid</a>] | $m </b> \n";
  print HTML_EVENTS "$z\n";
  print HTML_EVENTS "</pre>\n" ;
}

#------------------------------------------------------------------------------
1;
